

// ------------------------------------------------------------------------------
//
// LudumDare.com 48hr compo, July 2002
//
// Dave Reed (Bluescreen)'s entry
//
// GL blitting stuff... and some random maths functions
//
// ------------------------------------------------------------------------------

#ifndef _SPRITE_H_
#define _SPRITE_H_

#define DEG_TO_RAD 0.017453292519943295769236907684886f

typedef struct 
{
	float x;
	float y;
	float z;
} VECTOR;


typedef struct 
{
	float u[4];
	float v[4];
	float width;
	float height;
	float ox;
	float oy;
	int   tex;
} SPRITE;



float MATH_normalizeVector(VECTOR *vIn,VECTOR *vOut);

void SPRITE_init(SPRITE *frame, float width3d,float height3d,float handleX,float handleY,
				 int tex,int texWidth,int texHeight,int texX,int texY,int pixWidth,int pixHeight);


void SPRITE_blit(SPRITE *frame, VECTOR *pos,float rot,float scale);

void SPRITE_blitTile(SPRITE *frame, VECTOR *pos,float rot,float scale,float frontZ,float backZ,float r,float g,float b);




#endif